Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3759 - pppd hangs up with ioctl error
Summary: pppd hangs up with ioctl error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-27 09:55 UTC by hiller
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-22 18:44:15 UTC


Attachments (Terms of Use)

Description hiller 1999-06-27 09:55:02 UTC
When I start ppp with a setup that works with 5.2, I got the
following error:
Jun 27 11:48:35 lonestar mserver[775]: Executing:
/etc/ppp/ppp-up.tuhh
Jun 27 11:48:36 lonestar kernel: CSLIP: code copyright 1989
Regents of the University of California
Jun 27 11:48:36 lonestar kernel: PPP: version 2.3.3 (demand
dialling)
Jun 27 11:48:36 lonestar kernel: PPP line discipline
registered.
Jun 27 11:48:36 lonestar kernel: registered device ppp0
Jun 27 11:49:10 lonestar pppd[781]: Serial connection
established.
Jun 27 11:49:10 lonestar pppd[781]: Using interface ppp0
Jun 27 11:49:10 lonestar pppd[781]: Connect: ppp0 <-->
/dev/ttyS1
Jun 27 11:49:10 lonestar pppd[781]: ioctl(SIOCSIFMTU): Bad
file descriptor(9)
Jun 27 11:49:10 lonestar pppd[781]: Hangup (SIGHUP)
Jun 27 11:49:10 lonestar pppd[781]: Exit.

The chat script is an expect script.
What is wrong here ?

The options are:
modem
lock
crtscts
asyncmap 0

The dial script is:
#!/bin/sh

device=/dev/ttyS1
speed="115200"

exec /usr/sbin/pppd $device $speed file
/etc/ppp/tuhh.options connect /etc/ppp/tuhh.expect

Another dial script (with chat) works.

Comment 1 Cristian Gafton 1999-07-28 06:53:59 UTC
assigned to johnsonm

Comment 2 Michael K. Johnson 1999-08-04 15:21:59 UTC
The expect script isn't closing any file descriptors by any
chance, is it?  Could you post the expect script (with sensitive
parts replaced with "x" characters, of course...) for us to
look at?

Comment 3 Michael K. Johnson 1999-09-20 01:46:59 UTC
Re-open this bug and include the script we need to use in order to
look into the bug if you like.

Comment 4 Michael K. Johnson 1999-09-20 14:36:59 UTC
Thanks for sending the script.  I don't see anything immediately
obviously wrong about it.

Can you check and see if this is a problem with the latest pppd
from RawHide?

Comment 5 Michael K. Johnson 1999-11-22 18:44:59 UTC
I'm assuming that this was fixed, since I haven't heard back since I
proposed the latest ppp packages as a fix in september.  If that's not
the case, please try the latest ppp packages from the 6.1 errata, and
if that doesn't work, please re-open this bug report and say so.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.